# New machine: activate from the command line

{% hint style="info" %}
Make sure to replace the appropriate values:\
`<REPLACE_client>` to your client atSign\
`<client_device_name>` to a unique name for the device\
`<PASSCODE>` with the passcode from step 1
{% endhint %}

### Step 2) Enroll the new key pair (send a request for keys from the new machine)

```
~/.local/bin/at_activate enroll -a @<REPLACE_client> \
  -s <PASSCODE> \
  -p noports \
  -k ~/.atsign/keys/@<REPLACE_client>_key.atKeys \
  -d <client_device_name> \
  -n "sshnp:rw,sshrvd:rw"
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.noports.com/installation-faq/reuse-your-client-atsign-on-another-machine/new-machine-activate-from-the-command-line.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
